Bug 658398 - kickstart file on USB drive not found on first attempt
kickstart file on USB drive not found on first attempt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.6
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ales Kozumplik
Release Test Team
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 04:09 EST by ritz
Modified: 2014-09-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-11.1.2.227-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 02:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ritz 2010-11-30 04:09:57 EST
Created attachment 463670 [details]
patch

Description of problem:
with certain Atom based mother boards USB drive based installs fail to pick kickstart file from USB DVD drives the first time, There is a need to retry 2 to 3 times.

Version-Release number of selected component (if applicable):
EL 5.5

How reproducible:
frequent

Actual results:
Before applying patch:
19:32:03 INFO    : getting kickstart file
19:32:03 INFO    : getting kickstart file from first CDROM
<-- fails here
19:32:16 INFO    : getting kickstart file from first CDROM
19:32:16 INFO    : getFileFromBlockDevice(scd0, /ks.cfg)
19:32:23 INFO    : Searching for file on path /tmp/mnt//ks.cfg
19:32:23 INFO    : file copied to /tmp/ks.cfg
19:32:23 INFO    : setting up kickstart
19:32:23 INFO    : kickstartFromCD

Expected results:
19:43:59 INFO    : getting kickstart file
19:43:59 INFO    : getting kickstart file from first CDROM
19:43:59 DEBUG   : sleeping to wait for a USB CD-ROM
19:44:01 DEBUG   : sleeping to wait for a USB CD-ROM
19:44:03 INFO    : getFileFromBlockDevice(scd0, /ks.cfg)


Additional info:
related bug - Bug 460566 - kickstart file on USB drive not found on first attempt

Patch from customer attached ( Sandeep K Shandilya from cisco)
Comment 1 Chris Lumens 2010-11-30 10:56:54 EST
The one comment I have on the attached patch is that I would prefer to probe before sleeping in the loop.  There's no reason to penalize everyone with a sleep when it's only going to be the USB people who require it.
Comment 3 ritz 2010-12-13 03:14:07 EST
From the Logs I am able to see that in "bad" logs the usb-storage module is being loaded after we start looking for kickstart file.

logs

sony-good
18:48:11 INFO    : inserted /tmp/usb-storage.ko                        
18:48:11 INFO    : removed usb-storage from modprobe.conf              
18:48:11 INFO    : load module set done                                
18:48:18 INFO    : load module set done                                
18:48:18 INFO    : getting kickstart file                              
18:48:18 INFO    : getting kickstart file from first CDROM             
18:48:18 DEBUG   : sleeping to wait for a USB CD-ROM                   
18:48:20 INFO    : getFileFromBlockDevice(scd0, /ks.cfg)               
18:48:25 INFO    : Searching for file on path /tmp/mnt//ks.cfg         
18:48:26 INFO    : file copied to /tmp/ks.cfg                          
18:48:26 INFO    : setting up kickstart                                
18:48:26 INFO    : kickstartFromCD                                     
18:48:26 DEBUG   : going to set language to en_US.UTF-8                
18:48:26 INFO    : setting language to en_US.UTF-8                     
18:48:26 INFO    : starting to STEP_URL                                
18:48:26 INFO    : trying to mount CD device scd0                      


sony-bad
18:56:42 INFO    : load module set done                        
18:56:42 INFO    : getting kickstart file                      
18:56:42 INFO    : getting kickstart file from first CDROM     
18:56:42 DEBUG   : sleeping to wait for a USB CD-ROM           
18:56:44 DEBUG   : sleeping to wait for a USB CD-ROM           
...
18:59:10 DEBUG   : sleeping to wait for a USB CD-ROM             
18:59:12 ERROR   : No CDROM devices found!                       
18:59:14 ERROR   : got to setupCdrom without a CD device         
18:59:15 DEBUG   : going to set language to en_US.UTF-8          
18:59:15 INFO    : setting language to en_US.UTF-8               
18:59:15 INFO    : 53 keymaps are available                      
18:59:32 INFO    : modules to insert usb-storage                 
18:59:32 DEBUG   : getModuleLocation: 2.6.18-194.el5/i686        
18:59:32 INFO    : loaded usb-storage from /modules/modules.cgz  
18:59:38 DEBUG   : slept 6 seconds                               
18:59:39 INFO    : inserted /tmp/usb-storage.ko                  
18:59:39 INFO    : load module set done                          
18:59:39 INFO    : starting to STEP_URL                          
18:59:39 INFO    : trying to mount CD device scd0                

From the Logs I am able to see that in "bad" logs the usb-storage module is being loaded pretty close to the point where we start looking for kickstart file.


samsung-good 
19:17:18 INFO    : reloading module usb-storage                           
19:17:18 INFO    : modules to insert usb-storage                          
19:17:18 DEBUG   : getModuleLocation: 2.6.18-194.el5/i686                 
19:17:18 INFO    : loaded usb-storage from /modules/modules.cgz           
19:17:19 INFO    : inserted /tmp/usb-storage.ko                           
19:17:19 INFO    : removed usb-storage from modprobe.conf                 
19:17:19 INFO    : load module set done                                   
19:17:26 INFO    : load module set done                                   
19:17:26 INFO    : getting kickstart file                                 
19:17:26 INFO    : getting kickstart file from first CDROM                
19:17:26 DEBUG   : sleeping to wait for a USB CD-ROM                      
19:17:28 DEBUG   : sleeping to wait for a USB CD-ROM                      
19:17:30 INFO    : getFileFromBlockDevice(scd0, /ks.cfg)                  
19:17:33 INFO    : Searching for file on path /tmp/mnt//ks.cfg            
19:17:33 INFO    : file copied to /tmp/ks.cfg                             
19:17:33 INFO    : setting up kickstart                                   
19:17:33 INFO    : kickstartFromCD                                        
19:17:33 DEBUG   : going to set language to en_US.UTF-8                   
19:17:33 INFO    : setting language to en_US.UTF-8                        
19:17:33 INFO    : starting to STEP_URL                                   
19:17:33 INFO    : trying to mount CD device scd0                         


samsung-bad
19:09:48 INFO    : unloading module usb-storage                      
19:09:48 INFO    : going to rmmod usb-storage                        
19:09:48 INFO    : inserted /tmp/e1000e.ko                           
19:09:49 INFO    : inserted /tmp/libata.ko                           
19:09:52 INFO    : inserted /tmp/ahci.ko                             
19:09:53 INFO    : inserted /tmp/ata_piix.ko                         
19:09:53 INFO    : reloading module usb-storage                      
19:09:53 INFO    : modules to insert usb-storage                     
19:09:53 DEBUG   : getModuleLocation: 2.6.18-194.el5/i686            
19:09:53 INFO    : loaded usb-storage from /modules/modules.cgz      
19:09:54 INFO    : inserted /tmp/usb-storage.ko                      
19:09:54 INFO    : removed usb-storage from modprobe.conf            
19:09:54 INFO    : load module set done                              
19:10:01 INFO    : load module set done                              
19:10:01 INFO    : getting kickstart file                            
19:10:01 INFO    : getting kickstart file from first CDROM           
19:10:26 INFO    : getting kickstart file from first CDROM           
19:10:26 INFO    : getFileFromBlockDevice(scd0, /ks.cfg)             
19:10:32 INFO    : Searching for file on path /tmp/mnt//ks.cfg       
19:10:32 INFO    : file copied to /tmp/ks.cfg                        
19:10:32 INFO    : setting up kickstart                              
19:10:32 INFO    : kickstartFromCD                                   
19:10:32 DEBUG   : going to set language to en_US.UTF-8              
19:10:32 INFO    : setting language to en_US.UTF-8                   
19:10:32 INFO    : starting to STEP_URL                              
19:10:32 INFO    : trying to mount CD device scd0                    


A race condition with module loading ?
Comment 5 RHEL Product and Program Management 2011-02-23 10:19:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Ales Kozumplik 2011-02-24 11:04:05 EST
Hello,

can you please attach the complete anaconda.log files from times when the device was and was not found on the first attempt (from a non-patched loader)?

Thanks.
Comment 8 Ales Kozumplik 2011-03-04 03:53:37 EST
Thank you for the patch, it is waiting for a review now:

https://www.redhat.com/archives/anaconda-devel-list/2011-March/msg00057.html
Comment 9 Ales Kozumplik 2011-03-07 02:30:48 EST
Fixed by e51768a50d92558b285e0e37de562daec9538c91.
Comment 15 errata-xmlrpc 2011-07-21 02:55:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0984.html

Note You need to log in before you can comment on or make changes to this bug.